## rgbpaint 0.8.7

=== doc/Makefile ===
include ../_conf.txt

MAN_PAGE=rgbpaint.1

all:
	cp _$(MAN_PAGE) $(MAN_PAGE)
	gzip -f $(MAN_PAGE)

pod:
	pod2man "--release=$(MT_VERSION)" "--date=$(MT_DATE)" "--center=Mark Tyler's Painting Program" rgbpaint.pod > _rgbpaint.1

install:
	mkdir -p $(MT_MAN_DEST)
	cp $(MAN_PAGE).gz $(MT_MAN_DEST)

uninstall:
	rm $(MT_MAN_DEST)/$(MAN_PAGE).gz

clean:
	rm *.gz

=== po/Makefile ===
include ../_conf.txt

langs = es cs fr pt pt_BR de_DE pl tr zh_TW

all:
	for iii in $(langs); do echo -n "$$iii = "; msgfmt -v -o $$iii.mo $$iii.po; done

install:
	for iii in $(langs); do mkdir -p $(MT_LANG_DEST)/$$iii/LC_MESSAGES/; done
	for iii in $(langs); do cp $$iii.mo $(MT_LANG_DEST)/$$iii/LC_MESSAGES/rgbpaint.mo; done

uninstall:
	for iii in $(langs); do rm $(MT_LANG_DEST)/$$iii/LC_MESSAGES/rgbpaint.mo; done

clean:
	rm *.mo

=== src/Makefile ===
include ../_conf.txt

CFLAGS = $(CFLAG)
LDFLAGS = $(LDFLAG) $(GLIB_LIB)

BIN = rgbpaint

OBJS = main.o mainwindow.o png.o memory.o canvas.o otherwindow.o mygtk.o viewer.o toolbar.o

$(BIN): $(OBJS)
	$(CC) $(OBJS) -o $(BIN) $(LDFLAGS)

.c.o:
	$(CC) $(CFLAGS) -c -o $*.o $*.c

clean:
	rm -f *.o $(BIN)*

install:
	mkdir -p $(BIN_INSTALL)
	cp $(BIN) $(BIN_INSTALL)

uninstall:
	rm $(BIN_INSTALL)/$(BIN)

=== debian/changelog ===
rgbpaint (0.8.7-8) unstable; urgency=medium

  [ Adrian Bunk ]
  * Fix FTBFS with GCC 15. (Closes: #1097790)

  [ Andreas Tille ]
  * Add myself to Uploaders
  * d/watch: version=5
  * Standards-Version: 4.7.2 (routine-update)
  * debputy lint --auto-fix (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 26 Oct 2025 06:08:57 +0100

rgbpaint (0.8.7-7) unstable; urgency=low

  * Team upload.

  [ Mats Erik Andersson ]
  * debian/copyright: Clarify that GPL-2+ is upstreams's chosen license.

  [ Andreas Tille ]
  * Maintain package in Debian Phototools team
  * Secure URI in Homepage
  * Secure URI in watch file
  * Build-Depends: remove dpkg-dev, s/pkg-config/pkgconf/

  [ Helmut Grohne ]
  * FTCBFS: Use host tools for CC and PKG_CONFIG. (Closes: #906716)

  [ Andreas Tille ]
  * Standards-Version: 4.7.0 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Secure URI in copyright format (routine-update)
  * Rules-Requires-Root: no (routine-update)

 -- Andreas Tille <tille@debian.org>  Sun, 19 Jan 2025 14:03:17 +0100

rgbpaint (0.8.7-6.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix ftbfs with GCC-10. (Closes: #957762)

 -- Sudip Mukherjee <sudipm.mukherjee@gmail.com>  Tue, 03 Nov 2020 22:46:50 +0000

rgbpaint (0.8.7-6) unstable; urgency=low

  * Set Standards-Version to 3.9.7, no changes.
  * debian/control: Give a secured Vcs-Browser target URL.
  * debian/rgbpaint.menu: Removed, as a desktop file is also provided.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 06 Apr 2016 16:04:25 +0200

rgbpaint (0.8.7-5) unstable; urgency=low

  * debian/rules: Add the target override_dh_auto_clean.
    + Recent debhelper does early cleaning. (Closes: #724101)
  * Portability fix to allow building with clang.
    + debian/patches/12-build_portability.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 27 Sep 2013 21:00:05 +0200

rgbpaint (0.8.7-4) unstable; urgency=low

  * debian/control: Standards 3.9.4, nochanges needed.
    + Update Vcs-Svn and Vcs-Browser fields.
  * debian/copyright: Use a versioned format specification.
  * FTBFS with clang, missing linkage. Patch created by
    Daniel T Chen <crimsun@ubuntu.com>. (Closes: #713718)
    + debian/patches/10-fix_lib_underlinkage.diff: New file.
  * Implement hardening:
    + debian/rules: Use the technique of 'buildflags.mk'.
    + debian/compat: Set to 9.
    + debian/control: Build-Depends increases to debhelper (>= 9),
      and adds new dependency on dpkg-dev (>= 1.16.1~).
    + debian/patches/11-hardening_errors.diff: New file.
  * debian/local/16x16/rgbpaint.png, debian/local/32x32/rgbpaint.png:
    New icon files, converted from our patched "rgbpaint.xpm".
    + debian/rgbpaint.install: Add two entries.
    + debian/source/include-binaries: New file.
  * debian/local/rgbpaint-xhtml.xsl: Small misprint.
  * debian/rgbpaint.menu: Add "longtitle" and "icon".
  * [lintian] debian/rgbpaint.desktop: Update.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Sat, 29 Jun 2013 16:00:30 +0200

rgbpaint (0.8.7-3) unstable; urgency=low

  * Make program icon have transparent background.
    + debian/patches/09-make_background_transparent.diff: New file.

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Fri, 01 Apr 2011 10:40:48 +0200

rgbpaint (0.8.7-2) unstable; urgency=low

  * FTBFS caused by new toolchain:
    + debian/rules: Tweak "_conf.txt" to have LDFLAGS include "-lX11".
    + Closes: #617276

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Mon, 07 Mar 2011 23:00:16 +0100

rgbpaint (0.8.7-1) unstable; urgency=low

  * Initial release. (Closes: #602419)

 -- Mats Erik Andersson <mats.andersson@gisladisker.se>  Wed, 12 Jan 2011 10:06:36 +0100

=== debian/control ===
Source: rgbpaint
Standards-Version: 4.7.2
Maintainer: Debian PhotoTools Maintainers <pkg-phototools-devel@lists.alioth.debian.org>
Uploaders:
 Mats Erik Andersson <mats.andersson@gisladisker.se>,
 Andreas Tille <tille@debian.org>,
Section: graphics
Priority: optional
Build-Depends:
 debhelper-compat (= 13),
 gettext,
 pkgconf,
 xsltproc,
 docbook-xsl,
 libx11-dev,
 libglib2.0-dev,
 libgtk2.0-dev,
 libpango1.0-dev,
Vcs-Browser: https://salsa.debian.org/debian-phototools-team/rgbpaint
Vcs-Git: https://salsa.debian.org/debian-phototools-team/rgbpaint.git
Homepage: https://mtpaint.sourceforge.net/rgbpaint.html
Rules-Requires-Root: no

Package: rgbpaint
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: simple pixel-based painting program
 This package provides the simplified painting program rgbPaint,
 a spin-off from mtPaint by the same authors. Light on dependencies,
 it can edit and save images in ICO, JPEG, or PNG format only,
 though it can also read GIF, PCX, SVG, TGA, and TIFF formats.
 .
 The user interface is intentionally kept simple, without drop-down
 menus. Ten brushes are provided, and a palette of twenty colors,
 each of which can be replaced from a color blender. The available
 actions are painting, filling, and area selection. The program can
 also start by taking a screen snapshot to use as the initial image.
 .
 Originally aimed at the OLPC initiative, rgbPaint works well with
 the Sugar desktop environment - especially with a graphics tablet;
 even young children can quickly master it to produce true brushwork!

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILD_FLAGS = 1

include /usr/share/dpkg/buildflags.mk
-include /usr/share/dpkg/buildtools.mk
export CC
export PKG_CONFIG ?= pkg-config

export DEB_CFLAGS_MAINT_APPEND = -fcommon

%:
	dh $@

PATTERN = fontconfig|atk-1.0|rt|gio-2.0|cairo|gmodule-2.0|gthread-2.0|pangocairo-1.0|freetype|pangoft2-1.0

override_dh_auto_configure:
	./configure cflags debug slow intl --prefix=/usr --mandir=/usr/share/man/man1
	# Newer toolchains need explicit linking to "libX11". Tweek this.
	# The inclusion of "-lfontconfig" is already superfluous. Replace it.
	sed -r -i 's,-lfontconfig,-lX11,' _conf.txt
	# Remove primary linking libraries, known to be superfluous.
	sed -r -i "s,-l($(PATTERN)) ,,g" _conf.txt
	# Compile the external manpages.
	# Use `--nonet' and `--novalid' to prevent problems.
	xsltproc --nonet --novalid debian/local/rgbpaint.xsl debian/local/rgbpaint.xml
	xsltproc --nonet --novalid debian/local/rgbpaint-xhtml.xsl debian/local/rgbpaint.xml

override_dh_installchangelogs:
	dh_installchangelogs NEWS

override_dh_auto_clean:
	touch _conf.txt
	dh_auto_clean

=== debian/watch ===
Version: 5

Source: https://sf.net/mtpaint/
Matching-Pattern: @PACKAGE@-@ANY_VERSION@@ARCHIVE_EXT@
